DROP TABLE pricing.price_queue

CREATE TABLE pricing.price_queue (
    id      BIGINT IDENTITY(1,1) PRIMARY KEY,
    bill    VARCHAR(100),
    ship    VARCHAR(100),
    part    VARCHAR(100),
    stlc    VARCHAR(100),
    v1ds    VARCHAR(100),
    vol     NUMERIC(18,6),
    chan    VARCHAR(50),
    cust 	VARCHAR(100),
    tier    VARCHAR(50),
    pltq    NUMERIC(18,6),
    price   NUMERIC(18,6),
    expl    NVARCHAR(MAX)  -- if storing JSON-like data
);
