DROP TABLE pricequote.price_queue CASCADE;

CREATE TABLE IF NOT EXISTS pricequote.price_queue (
	id      BIGINT GENERATED ALWAYS AS IDENTITY PRIMARY KEY
    ,bill    TEXT    
    ,ship    TEXT    
    ,part    TEXT    
    ,stlc    TEXT    
    ,v1ds    TEXT    
    ,vol     NUMERIC 
    ,cust    TEXT
    ,chan    TEXT
    ,tier    TEXT
    ,pltq	 NUMERIC
    ,price   NUMERIC 
    ,expl    JSONB   
);

GRANT SELECT, INSERT, UPDATE, DELETE ON pricequote.price_queue TO PUBLIC;
